Bug 100625 - up2date starts unwanted services after update
up2date starts unwanted services after update
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-23 15:10 EDT by Brad Spry
Modified: 2007-04-18 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-26 11:01:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Spry 2003-07-23 15:10:41 EDT
Description of problem:
up2date starts services after update, such as sendmail, even if service is
configured not to run.  up2date will also stop services which were configured to
run, such as httpd.  This could be due to config file manipulation, noted below.

Version-Release number of selected component (if applicable):
3.0.7

How reproducible:
very

Steps to Reproduce:
1. httpd update as example
2. mv conf.d/ssl.conf conf.d/ssl.off
3. run up2date when httpd service update is available
4. install update, reboot
5. update installs fresh ssl.conf file, making unwanted https server start


Additional info:

up2date should prompt when new config files are to be written, display service
configuration, and any start/stop service information when complete.  allow
admin to choose config file deployment, service start/stop, etc. before reboot.
Comment 1 Adrian Likins 2003-07-29 21:46:00 EDT
I'm not I understand the problem. Why do you move
the config files before updating them?

up2date/rpm has code to try to detect when
config file changes are dangerous, but
it needs to be able to check the existing
on disk config file first. 
Comment 2 Brad Spry 2003-07-30 08:23:41 EDT
In Apache 2, files found in the conf.d directory with the extension .conf, will
be included at startup.  The most common one to turn off is ssl.conf, which
enables https.

up2date will place a fresh ssl.conf file in the conf.d directory upon update of
apache httpd, ignoring your desired configuration, in this case ssl off.

Apache isn't the only thing I have seen affected.  My last up2date and reboot,
caused mysql not to start automatically (it was configured to auto start before
up2date) and sendmaild also turned itself on after reboot (it was off before
up2date)
Comment 3 Adrian Likins 2003-08-13 20:19:02 EDT
Those behaviours are related to the way the packages are packaged.
changing bug component against httpd. You may want to file
a bug again mysql as well. 
Comment 4 Joe Orton 2003-08-26 11:01:55 EDT
The specific example given here is not a bug; if you have a specific bug please
file that.  To disable mod_ssl you can do either:

# rpm -e mod_ssl

or

# echo > /etc/httpd/conf.d/ssl.conf

Note You need to log in before you can comment on or make changes to this bug.